#formInputElementDiv {
    -webkit-transform: translate3d(0, 0, 0);
}
.ednx-text-thin{ font-weight: 300 !important;}
.ednx-text-strong{ font-weight: 600 !important;}
.no-margin{margin:0px !important}
.no-padding{padding:0px !important}
.no-border{border:0px !important}
.no-border-radius{border-radius: 0px !important}

.remove-strong strong{font-weight: 400 !important}
.toast-message{font-size:16px !important}

.ednx-margin-t-5 {margin-top:5px} .ednx-margin-t-10 {margin-top:10px} .ednx-margin-t-20 {margin-top:20px} .ednx-margin-t-50 {margin-top:50px}
.ednx-margin-b-20 {margin-bottom:20px} .ednx-margin-b-10 {margin-bottom:10px;} .ednx-margin-b-5 {margin-bottom:5px;}
.ednx-margin-r-20 {margin-right:20px} .ednx-margin-r-10 {margin-right:10px} .ednx-margin-r-5 {margin-right:5px}
.ednx-margin-l-10 {margin-left:10px}

.ednx-text-ellipsis {overflow:hidden;text-overflow: ellipsis;white-space: nowrap;}
.ednx-padding-l-10 {padding-left:10px} .ednx-padding-l-0 {padding-left:0px !important}
.ednx-padding-r-10 {padding-right:10px} .ednx-padding-r-0 {padding-right:0px}
.ednx-text-right{text-align:right !important}
.ednx-text-left{text-align:left !important}
.ednx-text-center{text-align:center !important}
.ednx-no-padding-right{padding-right:0px !important} .ednx-no-padding-left{padding-left:0px !important}
.kaltura_player {border: 0px;}
.ednx-box .overlay, .overlay-wrapper .overlay {
    z-index: 50;
    background: rgba(255,255,255,0.7);
    border-radius: 3px;
}
.ednx-box>.overlay, .overlay-wrapper>.overlay, .box>.loading-img, .overlay-wrapper>.loading-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.ednx-box .overlay>.fa, .overlay-wrapper .overlay>.fa {
    position: absolute;
    top: 15px;
    left: 50%;
    margin-left: -15px;
    color: #000;
    font-size: 30px;
    color:#BBB;
}
.ednx-box label {
    font-weight: 500;
    font-size: 15px;
    margin-bottom: 3px;
    display: inline-block;
}

.ednx-text-blue{color: #7ca8b5 !important;}
.ednx-text-orange{color:#C44D00 !important}
.ednx-text-green {color: #006747 !important}
.btn-success {background-color:#006747 !important ;}
.btn-info {background-color:#2E6DA4 !important ;}
.ednx-text-red {color: #8B0000 !important}
.ednx-text-turqoise{color: #93c2d0 !important}
.ednx-text-white{color:#FFF !important}
.ednx-font-20 {font-size:20px !important} .ednx-font-18 {font-size:18px !important} .ednx-font-16 {font-size:16px !important} .ednx-font-14 {font-size:14px !important} .ednx-font-12 {font-size:12px !important}
.ednx-font-w200 {font-weight:200} .ednx-font-w300 {font-weight:300} .ednx-font-w400 {font-weight:400}
.ednx-box-body .input-group .btn-group {margin-left: 0;} .ednx-box-body .input-group {margin-top:10px;margin-bottom:0px;}
.ednx-box-body input[type=radio], input[type=checkbox] {margin: 4px 4px 0;}

.ednx-body .process-v1 .process-in {  text-align: center;}
.ednx-body .process-v1 .process-in > li:first-child:before {content: " ";display: none;position: absolute;border-top: solid 2px transparent;}
.ednx-body .process-v1 .process-in > li:before {top: 15px;width: 50%;left: 0%;content: " ";display: block;position: absolute;border-top: solid 2px #ddd;}
.ednx-body .process-v1 .process-in > li:after {top: 15px;width: 50%;left: 50%;content: " ";display: block;position: absolute;border-top: solid 2px #ddd;}
.ednx-body .process-v1 .process-in > li.step-right:after {top: 15px;width: 50%;left: 50%;content: " ";display: block;position: absolute;border-top: solid 2px #79d3ff;}
.ednx-body .process-v1 .process-in > li:last-child:after {content: " ";display: none;position: absolute;border-top: solid 2px transparent;}
.ednx-body .process-v1 .process-in > li.step-done:before {border-top: solid 2px #79d3ff;}
.ednx-body .process-v1 .process-in > li.step-done:first-child:after {border-top: solid 2px #79d3ff;}
.ednx-body .process-v1 .process-in > li.step-done > .process-icon i {background: #039be5;border-radius: 50% !important;border:7px solid #79d3ff;}

.ednx-body .process-v1 .process-in > li > .process-icon i {  z-index: 1;  width: 30px;  height: 30px;  position: relative;  text-align: center;  background: #ddd;  margin-bottom: 5px;  display: inline-block;  border: solid 7px #efefef;border-radius: 50%;}
.ednx-body .process-v1 .process-in > li > .process-icon i.dot-active {background: #039be5;border-radius: 50% !important;border:7px solid #79d3ff;}
.ednx-body .process-v1 .process-in > li > .process-icon i:after {  top: -9px;  left: -9px;  right: -9px;  bottom: -9px;  content: " ";  border-radius: 50%;  position: absolute;  border: 0px solid #ddd;}
.ednx-body .process-v1 .process-in .process-desc {  padding: 0 5px;}
.ednx-body .process-v1 .process-in .process-desc p {  font-size:13px;line-height:15px;margin:0px;font-style: italic;}
.ednx-body .process-v1 .process-in > li h3 {font-size: 14px;  font-weight: 400;  margin: 3px 0 3px;}
.ednx-body .process-v1 .process-in > li h4 {font-size: 14px;  font-weight: 300;  margin: 0 0 10px;}
.ednx-body .process-v1 .process-border {  position: relative;}
.ednx-body .process-v1 .preview-device {font-size:20px; padding-left: 8px;}
@media (max-width: 768px) {  .ednx-body .process-v1 .process-border:before {border: none;  }}

/*Editor API*/
.ednx-body .alert .cke_textarea_inline { min-height: 30px !important; margin-bottom: 0px !important; }
.ednx-main-question-content {min-height:50px;padding-top:20px}

.ednx-bgcolor-white {background-color: #FFF !important}

.ednx-mastery-notattempted-bgcolor {background-color: rgb(185, 208, 222) !important} .ednx-mastery-notattempted-textcolor {color: rgb(143, 174, 193) !important}
.ednx-mastery-inprogress-bgcolor {background-color: rgb(59, 164, 226) !important} .ednx-mastery-inprogress-textcolor {color: rgb(59, 164, 226) !important}
.ednx-mastery-readyformcheck-bgcolor {background-color: rgba(58,202,182,1) !important} .ednx-mastery-readyformcheck-textcolor {color: rgba(22,220,193,1) !important}
.ednx-mastery-mastered-bgcolor {background-color: rgba(49,195,2,1) !important} .ednx-mastery-mastered-textcolor {color: rgba(49,195,2,1) !important}
.ednx-mastery-scaffolded-bgcolor {background-color: rgb(252, 151, 0) !important} .ednx-mastery-scaffolded-textcolor {color: rgb(179, 107, 0) !important}
.ednx-mastery-intervention-bgcolor {background-color: rgb(218, 73, 50) !important} .ednx-mastery-intervention-textcolor {color: rgb(218, 73, 50) !important}
.ednx-mastery-scaffolded-prereq-bgcolor {background-color: rgba(252, 151, 0,0.6) !important} .ednx-mastery-scaffolded-prereq-textcolor {color: rgba(252, 151, 0,0.6) !important}


.ednx-progress-ht-8 {height:8px}
.ednx-wrapper-container .progress .progress-bar:not(:first-child) {border-left:1px solid #FFF;}
.ednx-wrapper-container .progress .progress-bar {text-align: center}
.ednx-wrapper-container .progress .progress-bar.ednx-mastery-notattempted-bgcolor {color: #464646}
.ednx-main-question-content p {font-size:16px; line-height:18px;}
.ednx-body .alert p {font-size:16px; line-height:18px; margin-bottom:2px}
.ednx-body .cke_textarea_inline p {font-size:16px; line-height:18px;}
.ednx-modal .modal-header {border-bottom: none;}
.ednx-modal .modal-header-with-border {border-bottom: 1px solid #e5e5e5;}
.math>span:last-child {border-left-width: 0px !important;}
.ednx-box-body .data-row {text-align:center}
.ednx-box-body .data-blocks {display: inline-block;text-align: center;font-size: 36px;line-height: 36px;margin: 2px 3px;}
.ednx-box-body .data-blocks span {display:block;color:#555;font-size: 9px;letter-spacing: 0.5px;line-height: 12px;}
.ednx-droppable-div {min-height:218px; background-color:#efefef; border: 1px dashed #ccc;float:left; width: 100%;padding:5px;}
.ednx-filter-item{line-height:24px;white-space: nowrap;}
.ednx-box-body .panel-title {font-weight:500}

.ednx-left-pane{padding: 0px 10px 0px 10px;}
.ednx-right-pane{padding: 0px 10px 0px 0px;}
.ednx-lpath-lpane {width:250px !important;float:left;background-color: #FFF;border: 1px solid #efefef;}
.ednx-box-border {border: 1px solid #efefef;}
.ednx-lpath-rpane {width:calc(100% - 250px) !important;float:left;background-color: transparent;padding:0px 10px;}


.popover{
    width: 450px !important;
}


.color-danger {color: #d9534f}

a[disabled] i {color:#adadad !important;}
a[disabled], a[disabled]:hover {cursor: not-allowed !important;pointer-events: none !important;}
.ednx-tooltip {
    position: relative;
}

/* Tooltip text */
.ednx-tooltip .ednx-tooltiptext {
    visibility: hidden;
    width: 240px;
    font-size: 12px;
    background-color: black;
    color: #fff;
    padding: 5px 15px;
    border-radius: 6px;
    white-space: normal;
    margin-left: -120px;
    position: absolute;
    z-index: 1;
}
.ednx-tooltip .ednx-tooltiptext p{
    color: #FFF;
    font-size: 12px;
    line-height: inherit;
    font-weight: inherit;
}

.ednx-tooltip .ednx-tooltiptext.small {
    width: 150px;
    margin-left: -75px;
}

.ednx-tooltip .ednx-tooltiptext.large {
    width: 300px;
    margin-left: -150px;
}

.ednx-tooltip .ednx-tooltiptext.xlarge {
    width: 400px;
    margin-left: -200px;
}


.ednx-tooltip .ednx-tooltiptext.position-top {
    bottom: 100%;
    left: 50%;
    z-index: 999;
}

.ednx-tooltip .ednx-tooltiptext.position-bottom {
    top: 100%;
    left: 50%;
    z-index: 1000;
}

.ednx-tooltip .ednx-tooltiptext.position-right {
    top: -5px;
    left: 195%;
    z-index: 999;
}

.ednx-tooltip .ednx-tooltiptext.position-left {
    top: -5px;
    right: 105%;
    z-index: 999;
}

.ednx-tooltip .ednx-tooltiptext.position-bottom::after {
    content: " ";
    position: absolute;
    bottom: 100%;  /* At the top of the tooltip */
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent black transparent;
}

.ednx-tooltip .ednx-tooltiptext.position-top::after {
    content: " ";
    position: absolute;
    top: 100%; /* At the bottom of the tooltip */
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: black transparent transparent transparent;
}

.ednx-tooltip .ednx-tooltiptext.position-right::after {
    content: " ";
    position: absolute;
    top: 50%;
    right: 100%; /* To the right of the tooltip */
    margin-top: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent black transparent transparent;
}

.ednx-tooltip .ednx-tooltiptext.position-left::after {
    content: " ";
    position: absolute;
    top: 50%;
    right: 100%; /* To the left of the tooltip */
    margin-top: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent black transparent transparent;
}

.ednx-tooltip .ednx-tooltiptext.position-left-top::after {
    top: 18px;
    left: 100%; /* To the right of the tooltip */
    border-color: transparent transparent transparent black !important;
}

/* Show the tooltip text when you mouse over the tooltip container */
.ednx-tooltip:hover .ednx-tooltiptext {
    visibility: visible;
}

.ednx-audio-player {
    background-color: #e8e8e8;
    border-radius: 5px;
    padding: 5px 10px;
    width: 300px
}

.ednx-audio-player-label {
    padding-right:10px;
    line-height: 24px;
    display:inline-block;
    width:50px;
}
.ednx-audio-player-control {
    display:inline-block;
    width:130px
}


.progress .progress-bar {font-weight: 400;font-size:12px;line-height:18px;}
 
.ednx-display-inline {display:inline-block}

.progress-bar {-webkit-transition: width 2.5s ease;transition: width 2.5s ease;}
.ednx-video {width:100%; height:auto}
.ednx-video-div{margin:0px auto; text-align:center; padding:5px;}
.ednx-main-student-lesson-div {height:calc(100% - 194px) !important;}
.ednx-modal .ednx-message-icon i {font-size:52px;margin-top:20px;} .ednx-modal .ednx-message-icon {padding-top:20px;}
.ednx-modal-footer-noborder-centered {border:none !important;text-align:center !important;} .ednx-modal-footer-noborder-centered button {margin:0px auto;}
.ednx-droppable-div:before {position:absolute;content:"Drop Here";opacity: 0.2;font-size: 30px;font-weight:400;text-align: center;width:100%;}
.ednx-selectable-div:before {position:absolute;content:"Drag From Here";opacity: 0.2;font-size: 30px;font-weight:400;text-align: center;width:100%;}
#ednx-preview-frame {width:calc(100% - 84px);float:left;}

video::-internal-media-controls-download-button {display:none;}
video::-webkit-media-controls-enclosure {overflow:hidden;}
video::-webkit-media-controls-panel {width: calc(100% + 30px); /* Adjust as needed */}
.ckeditor-html5-video video {width:400px}

.blockUI {font-family: "Open Sans", "Helvetica Neue", Arial, sans-serif;z-index: 2000 !important}
.blockUI .blockMsg {z-index: 2011 !important}

h3 {line-height:1.4;}
#gjs-sm-float, .gjs-pn-views .fa-cog { display: none;}
.gjs-editor{font-size: 13px !important}
.gjs-block-label{font-size: 11px !important}
.gjs-layer{font-size: 11px !important}
.gjs-clm-tags{font-size: 11px !important}
.gjs-sm-properties, .gjs-trt-traits{font-size: 10px !important}
.CodeMirror-cursor::after{content:' ' !important}
.CodeMirror-cursor,.CodeMirror-line span[cm-text] {font-size: 0;}
.CodeMirror-cursor:before {content: '';font-size: initial;}
.gjs-editor .gjs-pn-views .gjs-pn-buttons{width:120px;margin: 0 auto;}
.gjs-am-meta {display: none}
.cke_dialog_body table td:last-child { border-right: none !important;}
.image-width-200 img {width:200px; height: auto}